View Issue Details

IDProjectCategoryView StatusLast Update
0025386PatchesDebuggerpublic2019-02-17 22:17
ReporterJoost van der Sluis Assigned ToMartin Friebe  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformAppleOSOS/X 
Product Version1.3 (SVN) 
Target Version1.2.0Fixed in Version1.2.0 
Summary0025386: The debugger 'hangs' after an 'Attach' on Darwin, due to a missing timeout
DescriptionAfter an 'attach', the debugger hangs on Darwin. That's because the command 'ptype TObject' does not give any results, and there is no timeout set. This simple patch sets a timeout, so that the debugging continues.

I don't know if this is the proper way to fix it. I don't get why this command is there at all. In my tests the command 'type TObject' does never return "NO SYMBOL TABLE IS LOADED" in mi-mode. But maybe on other platforms...?
TagsNo tags attached.
Fixed in Revision43502
LazTarget1.2
Widgetset
Attached Files

Activities

Joost van der Sluis

2013-11-29 19:18

manager  

attachtimeout.diff (706 bytes)   
Index: debugger/gdbmidebugger.pp
===================================================================
--- debugger/gdbmidebugger.pp	(revision 43495)
+++ debugger/gdbmidebugger.pp	(working copy)
@@ -5297,7 +5297,7 @@
   DoSetPascal;
 
   if (FTheDebugger.FileName <> '') and (pos('READING SYMBOLS FROM', UpperCase(CmdResp)) < 1) then begin
-    ExecuteCommand('ptype TObject', [], R);
+    ExecuteCommand('ptype TObject', [], R, [], DebuggerProperties.TimeoutForEval);
     if pos('NO SYMBOL TABLE IS LOADED', UpperCase(FFullCmdReply)) > 0 then begin
       ExecuteCommand('-file-exec-and-symbols %s',
                      [FTheDebugger.ConvertToGDBPath(UTF8ToSys(FTheDebugger.FileName), cgptExeName)], R);
attachtimeout.diff (706 bytes)   

Martin Friebe

2013-11-30 00:26

manager   ~0071712

I set a timeout for all commands in attach. Please test and close if ok

The TObject stuff, I need to review independently.

Issue History

Date Modified Username Field Change
2013-11-29 19:18 Joost van der Sluis New Issue
2013-11-29 19:18 Joost van der Sluis Status new => assigned
2013-11-29 19:18 Joost van der Sluis Assigned To => Martin Friebe
2013-11-29 19:18 Joost van der Sluis File Added: attachtimeout.diff
2013-11-30 00:26 Martin Friebe Fixed in Revision => 43502
2013-11-30 00:26 Martin Friebe LazTarget - => 1.2
2013-11-30 00:26 Martin Friebe Note Added: 0071712
2013-11-30 00:26 Martin Friebe Status assigned => resolved
2013-11-30 00:26 Martin Friebe Fixed in Version => 1.2.0
2013-11-30 00:26 Martin Friebe Resolution open => fixed
2013-11-30 00:26 Martin Friebe Target Version => 1.2.0
2019-02-17 22:17 Joost van der Sluis Status resolved => closed